## kdepim-trinity 3.5.13.2

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( kdepim )
set( PACKAGE kdepim )
set( VERSION "3.5.13" )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckTypeSize )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### add apidox targets ############

add_custom_target(apidox
  COMMAND "./generate_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "/usr/share/qt3/doc/html"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

add_custom_target(install-apidox
  COMMAND "./install_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "${CMAKE_INSTALL_PREFIX}"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")


##### optional stuff ############################

option( WITH_ARTS "Enable aRts support" OFF )
option( WITH_SASL "Enable cyrus-sasl support" OFF )
option( WITH_NEWDISTRLISTS "Enable the new distribution lists" ON )
option( WITH_GNOKII "Enable gnokii support" OFF )
option( WITH_EXCHANGE "Enable Microsoft Exchange 2000 support" OFF )
option( WITH_EGROUPWARE "Enable egroupware support" OFF )
option( WITH_KOLAB "Enable kolab support" OFF )
option( WITH_SLOX "Enable slox support" OFF )
option( WITH_GROUPWISE "Enable groupwise support" OFF )
option( WITH_FEATUREPLAN "Enable featureplan support" OFF )
option( WITH_GROUPDAV "Enable groupdav support" OFF )
option( WITH_BIRTHDAYS "Enable birthdays support" OFF )
option( WITH_NEWEXCHANGE "Enable newexchange support" OFF )
option( WITH_SCALIX "Enable scalix support" OFF )
option( WITH_CALDAV "Enable caldav support" OFF )
option( WITH_CARDDAV "Enable carddav support" OFF )
option( WITH_INDEXLIB "Enable indexlib support (in kmail)" OFF )
option( WITH_XSCREENSAVER "Enable xscreensaver support (idle detection in karm)" OFF )

if( NOT WITH_ARTS )
  set( WITHOUT_ARTS 1 )
endif( )

if( WITH_NEWDISTRLISTS )
  set( KDEPIM_NEW_DISTRLISTS 1 )
endif( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_INDEXLIB "Build indexlib" ${BUILD_ALL} )
option( BUILD_LIBKMIME "Build libkmime" ${BUILD_ALL} )
option( BUILD_KTNEF "Build ktnef" ${BUILD_ALL} )
option( BUILD_LIBKCAL "Build libkcal" ${BUILD_ALL} )
option( BUILD_LIBKDEPIM "Build libkdepim" ${BUILD_ALL} )
option( BUILD_LIBKPIMIDENTITIES "Build libkpimidentities" ${BUILD_ALL} )
option( BUILD_LIBKDENETWORK "Build libkdenetwork" ${BUILD_ALL} )
option( BUILD_CERTMANAGER "Build certmanager" ${BUILD_ALL} )
option( BUILD_LIBKPGP "Build libkpgp" ${BUILD_ALL} )
option( BUILD_MIMELIB "Build mimelib" ${BUILD_ALL} )
option( BUILD_LIBKSIEVE "Build libksieve" ${BUILD_ALL} )
option( BUILD_LIBKPIMEXCHANGE "Build libkpimexchange" ${BUILD_ALL} )
option( BUILD_KIOSLAVES "Build kioslaves" ${BUILD_ALL} )
option( BUILD_KMAIL "Build kmail" ${BUILD_ALL} )
option( BUILD_AKREGATOR "Build akregator" ${BUILD_ALL} )
option( BUILD_KALARM "Build kalarm" ${BUILD_ALL} )
option( BUILD_KADDRESSBOOK "Build kaddressbook" ${BUILD_ALL} )
option( BUILD_KORN "Build korn" ${BUILD_ALL} )
option( BUILD_KGANTT "Build kgantt" ${BUILD_ALL} )
option( BUILD_LIBKHOLIDAYS "Build libkholidays" ${BUILD_ALL} )
option( BUILD_KORGANIZER "Build korganizer" ${BUILD_ALL} )
option( BUILD_PLUGINS "Build plugins" ${BUILD_ALL} )
option( BUILD_KNOTES "Build knotes" ${BUILD_ALL} )
option( BUILD_KODE "Build kode" ${BUILD_ALL} )
option( BUILD_KRESOURCES "Build kresources" ${BUILD_ALL} )
option( BUILD_WIZARDS "Build wizards" ${BUILD_ALL} )
option( BUILD_KABC "Build kabc" ${BUILD_ALL} )
option( BUILD_KONSOLEKALENDAR "Build konsolekalendar" ${BUILD_ALL} )
option( BUILD_KMAILCVT "Build kmailcvt" ${BUILD_ALL} )
option( BUILD_KARM "Build karm" ${BUILD_ALL} )
option( BUILD_KFILE_PLUGINS "Build kfile-plugins" ${BUILD_ALL} )
option( BUILD_KANDY "Build kandy" ${BUILD_ALL} )
option( BUILD_KNODE "Build knode" ${BUILD_ALL} )
option( BUILD_KMOBILE "Build kmobile" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_KONTACT "Build kontact" ${BUILD_ALL} )

# deprecated
option( BUILD_KITCHENSYNC "Build kitchensync" OFF )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### activate dependencies #####################

if( BUILD_LIBKCAL OR BUILD_LIBKDEPIM OR BUILD_LIBKPIMIDENTITIES OR BUILD_KIOSLAVES OR BUILD_KMAIL OR BUILD_KNODE )
  add_subdirectory( libemailfunctions )
endif()

if( BUILD_KADDRESSBOOK OR (BUILD_KRESOURCES AND (WITH_EGROUPWARE OR WITH_BIRTHDAYS)) )
    add_subdirectory( kaddressbook/common )
endif()


##### kdepim directories ########################

tde_conditional_add_subdirectory( BUILD_INDEXLIB indexlib )
tde_conditional_add_subdirectory( BUILD_LIBKMIME libkmime )
tde_conditional_add_subdirectory( BUILD_KTNEF ktnef )
tde_conditional_add_subdirectory( BUILD_LIBKCAL libkcal )
tde_conditional_add_subdirectory( BUILD_LIBKDEPIM pixmaps )
tde_conditional_add_subdirectory( BUILD_LIBKDEPIM libkdepim )
tde_conditional_add_subdirectory( BUILD_LIBKPIMIDENTITIES libkpimidentities )
tde_conditional_add_subdirectory( BUILD_LIBKDENETWORK libkdenetwork )
tde_conditional_add_subdirectory( BUILD_CERTMANAGER certmanager )
tde_conditional_add_subdirectory( BUILD_LIBKPGP libkpgp )
tde_conditional_add_subdirectory( BUILD_MIMELIB mimelib )
tde_conditional_add_subdirectory( BUILD_LIBKSIEVE libksieve )
tde_conditional_add_subdirectory( BUILD_LIBKPIMEXCHANGE libkpimexchange )
tde_conditional_add_subdirectory( BUILD_KIOSLAVES kioslaves )
tde_conditional_add_subdirectory( BUILD_KMAIL kmail )
tde_conditional_add_subdirectory( BUILD_AKREGATOR akregator )
tde_conditional_add_subdirectory( BUILD_KALARM kalarm )
tde_conditional_add_subdirectory( BUILD_KADDRESSBOOK kaddressbook )
tde_conditional_add_subdirectory( BUILD_KORN korn )
tde_conditional_add_subdirectory( BUILD_KGANTT kgantt )
tde_conditional_add_subdirectory( BUILD_LIBKHOLIDAYS libkholidays )
tde_conditional_add_subdirectory( BUILD_KORGANIZER kdgantt )
tde_conditional_add_subdirectory( BUILD_KORGANIZER korganizer )
tde_conditional_add_subdirectory( BUILD_PLUGINS plugins )
tde_conditional_add_subdirectory( BUILD_KNOTES knotes )
tde_conditional_add_subdirectory( BUILD_KODE kode )
tde_conditional_add_subdirectory( BUILD_KRESOURCES kresources )
tde_conditional_add_subdirectory( BUILD_WIZARDS wizards )
tde_conditional_add_subdirectory( BUILD_KABC kabc )
tde_conditional_add_subdirectory( BUILD_KONSOLEKALENDAR konsolekalendar )
tde_conditional_add_subdirectory( BUILD_KMAILCVT kmailcvt )
tde_conditional_add_subdirectory( BUILD_KARM karm )
tde_conditional_add_subdirectory( BUILD_KFILE_PLUGINS kfile-plugins )
tde_conditional_add_subdirectory( BUILD_KANDY kandy )
tde_conditional_add_subdirectory( BUILD_KNODE knode )
tde_conditional_add_subdirectory( BUILD_KMOBILE kmobile )
tde_conditional_add_subdirectory( BUILD_KITCHENSYNC kitchensync )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_KONTACT kontact )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== karm/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libkdepim )
tde_import( kresources )

add_subdirectory( support )
add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkcal
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${CMAKE_SOURCE_DIR}/kresources/remote
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( karm )
install( FILES karm_part.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES uninstall.desktop RENAME karm.desktop DESTINATION ${APPS_INSTALL_DIR}/Utilities )
install( FILES karmui.rc DESTINATION ${DATA_INSTALL_DIR}/karm )
install( FILES karmui.rc DESTINATION ${DATA_INSTALL_DIR}/karmpart )


##### karm (shared) #############################

tde_add_library( karm SHARED AUTOMOC
  SOURCES
    kaccelmenuwatch.cpp desktoptracker.cpp edittaskdialog.cpp
    idletimedetector.cpp printdialog.cpp timekard.cpp karmutility.cpp
    ktimewidget.cpp karmstorage.cpp mainwindow.cpp preferences.cpp
    print.cpp task.cpp taskview.cpp tray.cpp csvexportdialog_base.ui
    csvexportdialog.cpp plannerparser.cpp karmdcopiface.skel
    taskviewwhatsthis.cpp
  VERSION 0.0.0
  LINK kcal_resourceremote-shared kdeprint-shared ${XSS_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### libkarmpart (module) ######################

tde_add_kpart( libkarmpart AUTOMOC
  SOURCES karm_part.cpp
  LINK karm-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### karm (executable) #########################

tde_add_executable( karm
  SOURCES main.cpp
  LINK karm-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kmail/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( kmail )

if( WITH_INDEXLIB )
  tde_import( indexlib )
  add_definitions( -DHAVE_INDEXLIB )
  set( INDEX_LIBRARY index-shared )
endif( )

tde_import( libkdenetwork )
tde_import( certmanager )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libkmime )
tde_import( libkpgp )
tde_import( libkdepim )
tde_import( mimelib )
tde_import( libkpimidentities )
tde_import( libksieve )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions" )

add_subdirectory( interfaces )
add_subdirectory( about )
add_subdirectory( pics )
add_subdirectory( profiles )
add_subdirectory( avscripts )
add_subdirectory( konqueror )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libemailfunctions
  ${CMAKE_SOURCE_DIR}/mimelib
  ${CMAKE_SOURCE_DIR}/libkmime
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${CMAKE_SOURCE_DIR}/libkpgp
  ${CMAKE_SOURCE_DIR}/libkdenetwork
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${CMAKE_SOURCE_DIR}/libksieve
  ${CMAKE_SOURCE_DIR}/ktnef
  ${CMAKE_SOURCE_DIR}/korganizer
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GPGME_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kmailIface.h kmailpartIface.h kmailicalIface.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

tde_install_icons( )

install( FILES
    KMail.desktop kmail_view.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR} )

install( FILES
    kmcomposerui.rc kmmainwin.rc kmreadermainwin.rc
    eventsrc kmail_part.rc
  DESTINATION ${DATA_INSTALL_DIR}/kmail )

install( FILES
    kmail.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

install( PROGRAMS
    upgrade-transport.pl kmail-pgpidentity.pl
    upgrade-signature.pl kmail-upd-identities.pl
    kmail-3.1-use-UOID-for-identities.pl
    kmail-3.1-update-new-mail-notification-settings.pl
    kmail-3.1.4-dont-use-UOID-0-for-any-identity.pl
    kmail-3.2-update-loop-on-goto-unread-settings.sh
    kmail-3.2-misc.sh kmail-3.3-use-ID-for-accounts.pl
    kmail-3.3-move-identities.pl kmail-3.3-aegypten.pl
    kmail-3.3-split-sign-encr-keys.sh kmail-3.3-misc.pl
    kmail-3.3b1-misc.pl kmail-3.4-misc.pl
    kmail-3.4.1-update-status-filters.pl
    kmail-3.5-filter-icons.pl kmail-3.5-trigger-flag-migration.pl
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

install( FILES
    kmail.antispamrc kmail.antivirusrc
  DESTINATION ${CONFIG_INSTALL_DIR} )

install( FILES
    tips
  DESTINATION ${DATA_INSTALL_DIR}/kmail )

install( FILES
    dcopmail.desktop dcopimap.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )

install( FILES
    kmail_config_misc.desktop kmail_config_appearance.desktop
    kmail_config_identity.desktop kmail_config_accounts.desktop
    kmail_config_composer.desktop kmail_config_security.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( FILES
    kmail.kcfg replyphrases.kcfg custommimeheader.kcfg
    templatesconfiguration_kfg.kcfg customtemplates_kfg.kcfg
  DESTINATION ${KCFG_INSTALL_DIR} )

install( FILES
    application_octetstream.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kmail/plugins/bodypartformatter )


##### kmailprivate (shared) #####################

set( target kmailprivate )

set( ${target}_SRCS
  kmmessage.cpp kmmainwin.cpp configuredialog.cpp configuredialog_p.cpp
  klistviewindexedsearchline.cpp simplestringlisteditor.cpp index.cpp headeritem.cpp
  identitydrag.cpp identitylistview.cpp identitydialog.cpp kmfolderdia.cpp kmmsgdict.cpp
  kmfoldertree.cpp kmtransport.cpp kmfoldercombobox.cpp kmaccount.cpp kmheaders.cpp
  kmcomposewin.cpp kmfolder.cpp kmmsgpartdlg.cpp kmreaderwin.cpp htmlstatusbar.cpp
  kmgroupware.cpp folderstorage.cpp listjob.cpp csshelper.cpp klistboxdialog.cpp
  kmmsginfo.cpp actionscheduler.cpp messageproperty.cpp accountmanager.cpp kmacctfolder.cpp
  kmdict.cpp kmsystemtray.cpp kmacctlocal.cpp kmfolderdir.cpp kmfoldermgr.cpp
  kmfoldernode.cpp kmsender.cpp kmacctseldlg.cpp kmfiltermgr.cpp kmfilterdlg.cpp
  filterimporterexporter.cpp kmsearchpatternedit.cpp encodingdetector.cpp encodingdetector_ja.cpp
  kmfilteraction.cpp kmsearchpattern.cpp kmfolderimap.cpp kmfolderseldlg.cpp kmfilter.cpp
  kmmsgpart.cpp kmmsgbase.cpp kmmsglist.cpp kmaddrbook.cpp signatureconfigurator.cpp
  xfaceconfigurator.cpp networkaccount.cpp imapaccountbase.cpp popaccount.cpp kmservertest.cpp
  kmacctimap.cpp kmacctcachedimap.cpp kmfawidgets.cpp kmfoldermbox.cpp colorlistbox.cpp
  undostack.cpp kmfoldercachedimap.cpp attachmentstrategy.cpp kmfoldermaildir.cpp
  kmkernel.cpp accountdialog.cpp searchwindow.cpp vcardviewer.cpp vacationdialog.cpp
  vacation.cpp sievedebugdialog.cpp sieveconfig.cpp sievejob.cpp kmpopheaders.cpp
  kmpopfiltercnfrmdlg.cpp kmmimeparttree.cpp mailinglist-magic.cpp kmacctmaildir.cpp
  headerstyle.cpp headerstrategy.cpp khtmlparthtmlwriter.cpp filehtmlwriter.cpp
  teehtmlwriter.cpp mailcomposerIface.skel objecttreeparser.cpp objecttreeparser_p.cpp
  attachmentcollector.cpp bodypartformatterfactory.cpp bodypartformatter.cpp partNode.cpp
  mailsourceviewer.cpp kmcommands.cpp kmreadermainwin.cpp kmstartup.cpp kmmainwidget.cpp
  folderpropertiesdialog.ui kmfolderindex.cpp kmfoldersearch.cpp transportmanager.cpp
  imapjob.cpp folderjob.cpp cachedimapjob.cpp maildirjob.cpp mboxjob.cpp subscriptiondialog.cpp
  kmailicalifaceimpl.cpp aboutdata.cpp folderIface.cpp folderIface.skel mailserviceimpl.cpp
  attachmentlistview.cpp kmedit.cpp kmlineeditspell.cpp kmatmlistview.cpp composer.cpp
  isubject.cpp bodyvisitor.cpp antispamwizard.cpp urlhandlermanager.cpp dictionarycombobox.cpp
  secondarywindow.cpp filterlog.cpp filterlogdlg.cpp messagecomposer.cpp keyresolver.cpp
  globalsettings.cpp globalsettings_base.kcfgc regexplineedit.cpp rulewidgethandlermanager.cpp
  headerlistquicksearch.cpp acljobs.cpp folderdiaacltab.cpp quotajobs.cpp expirejob.cpp
  folderdiaquotatab.cpp folderdiaquotatab_p.cpp jobscheduler.cpp partnodebodypart.cpp
  compactionjob.cpp callback.cpp searchjob.cpp renamejob.cpp composercryptoconfiguration.ui
  warningconfiguration.ui smimeconfiguration.ui annotationjobs.cpp accountcombobox.cpp
  redirectdialog.cpp foldershortcutdialog.cpp folderrequester.cpp spamheaderanalyzer.cpp
  antispamconfig.cpp replyphrases.kcfgc custommimeheader.kcfgc recipientseditor.cpp
  recipientspicker.cpp kwindowpositioner.cpp textsource.cpp distributionlistdialog.cpp
  expirypropertiesdialog.cpp scalix.cpp mailinglistpropertiesdialog.cpp newfolderdialog.cpp
  accountwizard.cpp managesievescriptsdialog.cpp chiasmuskeyselector.cpp
  util.cpp templatesinsertcommand.cpp customtemplates_base.ui customtemplates.cpp
  customtemplates_kfg.kcfgc templatesconfiguration_base.ui templatesconfiguration.cpp
  templatesconfiguration_kfg.kcfgc templateparser.cpp copyfolderjob.cpp messagecopyhelper.cpp
  localsubscriptiondialog.cpp editorwatcher.cpp favoritefolderview.cpp
  foldertreebase.cpp snippetdlgbase.ui snippetwidget.cpp snippetconfig.cpp
  snippetdlg.cpp snippetitem.cpp snippetsettings.cpp snippetsettingsbase.ui
  messageactions.cpp korghelper.cpp foldersetselector.cpp stringutil.cpp
  treebase.cpp backupjob.cpp importjob.cpp folderutil.cpp archivefolderdialog.cpp
  importarchivedialog.cpp ${CMAKE_SOURCE_DIR}/korganizer/kcalendariface.stub
  ${CMAKE_SOURCE_DIR}/korganizer/korganizeriface.stub )

tde_save( KDE3_DCOPIDL_EXECUTABLE )
set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )
kde3_add_dcop_skels( ${target}_SRCS kmailIface.h kmailicalIface.h )
tde_restore( KDE3_DCOPIDL_EXECUTABLE )

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK
    emailfunctions-static kmime-shared kpgp-shared kdepim-shared kpimidentities-shared
    mimelib-shared ksieve-shared khtml-shared ${INDEX_LIBRARY}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kmail (executable) ########################

tde_add_executable( kmail
  SOURCES main.cpp
  LINK kmailprivate-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kcm_kmail (module) ########################

tde_add_kpart( kcm_kmail AUTOMOC
  SOURCES kcm_kmail.cpp
  LINK kmailprivate-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkmailpart (module) #####################

tde_add_kpart( libkmailpart AUTOMOC
  SOURCES kmailpartIface.skel kmail_part.cpp
  LINK kmailprivate-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkmail_bodypartformatter_application_octetstream (module)

tde_add_kpart( libkmail_bodypartformatter_application_octetstream
  SOURCES app_octetstream.cpp
  LINK ${TQT_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== knotes/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( knotes )

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libkdepim )

add_subdirectory( pics )
add_subdirectory( icons )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES KNotesIface.h KNotesAppIface.h DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES knotes.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES knoteconfig.kcfg knotesglobalconfig.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES knotesappui.rc knotesui.rc DESTINATION ${DATA_INSTALL_DIR}/knotes )
install( FILES local.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kresources/knotes )
install( FILES knotes_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kresources )


##### knotes (executable) #######################

tde_add_executable( knotes AUTOMOC
  SOURCES
    main.cpp knotesapp.cpp KNotesAppIface.skel
  LINK knotes-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### knotes_local (module) #####################

tde_add_kpart( knotes_local AUTOMOC
  SOURCES
    resourcelocal_plugin.cpp
  LINK knotes-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### knotes (shared) ###########################

tde_add_library( knotes SHARED AUTOMOC
  SOURCES
    knoteslegacy.cpp knoteconfig.kcfgc knotesglobalconfig.kcfgc knoteedit.cpp
    knoteprinter.cpp knotesnetrecv.cpp knotesnetsend.cpp resourcemanager.cpp
    resourcenotes.cpp resourcelocal.cpp resourcelocalconfig.cpp knote.cpp
    knotebutton.cpp knoteconfigdlg.cpp knotehostdlg.cpp knotealarmdlg.cpp
    knotesalarm.cpp
  VERSION 0.0.0
  LINK kdepim-shared kutils-shared kdeprint-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== libemailfunctions/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${CMAKE_SOURCE_DIR}/libkmime
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### header files ################################

if( BUILD_LIBKDEPIM )
  install( FILES idmapper.h DESTINATION ${INCLUDE_INSTALL_DIR}/libemailfunctions )
endif()


##### emailfunctions (static) ###################

tde_add_library( emailfunctions STATIC_PIC AUTOMOC
  SOURCES
    email.cpp idmapper.cpp kasciistricmp.cpp
    kasciistringtools.cpp networkstatus.cpp networkstatus.skel
)

=== libkcal/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libkcal )

include( ConfigureChecks.cmake )

tde_import( libkmime )
tde_import( ktnef )

add_subdirectory( versit )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/versit
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${CMAKE_SOURCE_DIR}/ktnef
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LIBICAL_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    alarm.h attachment.h attendee.h calendar.h calendarlocal.h
    calendarnull.h calendarresources.h calfilter.h calformat.h
    calstorage.h customproperties.h dndfactory.h duration.h event.h
    exceptions.h filestorage.h freebusy.h htmlexport.h icaldrag.h
    icalformat.h incidencebase.h incidence.h incidenceformatter.h
    calhelper.h calselectdialog.h journal.h kcalversion.h listbase.h
    period.h person.h qtopiaformat.h recurrencerule.h recurrence.h
    resourcecached.h resourcecalendar.h resourcelocalconfig.h
    resourcelocaldirconfig.h resourcelocaldir.h resourcelocal.h
    scheduler.h libkcal_export.h todo.h vcaldrag.h vcalformat.h
    attachmenthandler.h ${CMAKE_CURRENT_BINARY_DIR}/htmlexportsettings.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/libkcal )


##### other data ################################

install( FILES local.desktop localdir.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kresources/kcal )
install( FILES kcal_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kresources )


##### kcal_local (module) #######################

tde_add_kpart( kcal_local AUTOMOC
  SOURCES resourcelocal_plugin.cpp
  LINK kcal-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcal_localdir (module) ####################

tde_add_kpart( kcal_localdir AUTOMOC
  SOURCES resourcelocaldir_plugin.cpp
  LINK kcal-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcal (shared) #############################

tde_add_library( kcal SHARED AUTOMOC
  SOURCES
    assignmentvisitor.cpp comparisonvisitor.cpp
    incidencebase.cpp incidence.cpp journal.cpp
    todo.cpp event.cpp freebusy.cpp attendee.cpp
    attachment.cpp recurrencerule.cpp recurrence.cpp
    alarm.cpp customproperties.cpp calendar.cpp
    calendarlocal.cpp calformat.cpp vcalformat.cpp
    icalformat.cpp icalformatimpl.cpp incidenceformatter.cpp
    calhelper.cpp calselectdialog.cpp vcaldrag.cpp
    icaldrag.cpp exceptions.cpp scheduler.cpp
    imipscheduler.cpp dummyscheduler.cpp calfilter.cpp
    person.cpp period.cpp duration.cpp dndfactory.cpp
    filestorage.cpp compat.cpp resourcecalendar.cpp
    resourcelocal.cpp resourcelocalconfig.cpp
    resourcelocaldir.cpp resourcelocaldirconfig.cpp
    resourcecached.cpp resourcecachedconfig.cpp
    calendarresources.cpp qtopiaformat.cpp attachmenthandler.cpp
    htmlexportsettings.kcfgc htmlexport.cpp calendarnull.cpp
    freebusyurlstore.cpp confirmsavedialog.cpp
  VERSION 2.0.0
  LINK versit-static emailfunctions-static ktnef-shared kmime-shared kabc-shared ${LIBICAL_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== libkdepim/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libkdepim )

include( ConfigureChecks.cmake )

tde_import( libkmime )
tde_import( libkcal )
tde_import( ktnef )

add_subdirectory( icons )
add_subdirectory( pics )
add_subdirectory( kpartsdesignerplugin )
add_subdirectory( about )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kdepimmacros.h kpimprefs.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES pimemoticons.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### kdepimwidgets (module) ####################

add_custom_command( OUTPUT kdepimwidgets.cpp
  COMMAND
    ${KDE3_MAKEKDEWIDGETS_EXECUTABLE}
    -o kdepimwidgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/kdepim.widgets
  DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/kdepim.widgets )

set_source_files_properties( kdepimwidgets.cpp PROPERTIES COMPILE_FLAGS "-DQT_PLUGIN" )

tde_add_kpart( kdepimwidgets
  SOURCES kdepimwidgets.cpp
  LINK kdepim-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer
)


##### kdepim (shared) ###########################

set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )

tde_add_library( kdepim SHARED AUTOMOC
  SOURCES
    ktimeedit.cpp alarmclient.cpp kprefsdialog.cpp kpimprefs.cpp
    categoryselectdialog_base.ui categoryselectdialog.cpp
    categoryeditdialog_base.ui categoryeditdialog.cpp kdateedit.cpp
    kimportdialog.cpp kvcarddrag.cpp sidebarextension.cpp
    infoextension.cpp addressesdialog.cpp addresspicker.ui
    addresseeview.cpp maillistdrag.cpp interfaces/MailTransportServiceIface.skel
    interfaces/AddressBookServiceIface.skel kconfigpropagator.cpp kconfigwizard.cpp
    weaver.cpp weaverextensions.cpp weaverlogger.cpp pluginloaderbase.cpp
    addresseelineedit.cpp addresseelineedit.skel kdatepickerpopup.cpp
    kfileio.cpp clicklineedit.cpp configmanager.cpp collectingprocess.cpp
    ldapclient.cpp overlaywidget.cpp progressmanager.cpp progressdialog.cpp
    statusbarprogresswidget.cpp ssllabel.cpp completionordereditor.cpp
    resourceabc.cpp diffalgo.cpp addresseediffalgo.cpp calendardiffalgo.cpp
    htmldiffalgodisplay.cpp ldapsearchdialog.cpp broadcaststatus.cpp
    kresourceprefs.cpp kpixmapregionselectorwidget.cpp
    kpixmapregionselectordialog.cpp kabcresourcecached.cpp
    kxface.cpp kaccount.cpp kaddrbook.cpp kfoldertree.cpp kregexp3.cpp
    kscoring.cpp kscoringeditor.cpp ksubscription.cpp kwidgetlister.cpp
    linklocator.cpp qutf7codec.cpp recentaddresses.cpp spellingfilter.cpp
    addresseeselector.cpp addresseeemailselection.cpp designerfields.cpp
    kcmdesignerfields.cpp embeddedurlpage.cpp kincidencechooser.cpp
    groupwarejob.cpp pimemoticons.kcfgc krsqueezedtextlabel.cpp
    csshelper.cpp distributionlist.cpp kpimurlrequesterdlg.cpp
    sendsmsdialog.cpp kmailcompletion.cpp
  VERSION 1.0.0
  LINK kcal-shared kimproxy-shared kparts-shared qui
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== akregator/src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime)
tde_import( ktnef )
tde_import( libkcal )
tde_import( libkdepim )

add_subdirectory( librss )
add_subdirectory( about )
add_subdirectory( mk4storage )
add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    plugin.h articleinterceptor.h akregator_export.h storage.h
    feedstorage.h storagefactory.h storagefactoryregistry.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akregator )


##### other data ################################

tde_install_icons( )

install( FILES
    akregator.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR} )

install( FILES
    akregator.kcfg
  DESTINATION ${KCFG_INSTALL_DIR} )

install( FILES
    akregator_part.desktop feed.protocol
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( FILES
    akregator_plugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )

install( FILES
    akregator_shell.rc articleviewer.rc eventsrc
    pageviewer.rc akregator_part.rc
  DESTINATION ${DATA_INSTALL_DIR}/akregator )


##### akregatorprivate (shared) #################

tde_add_library( akregatorprivate SHARED AUTOMOC
  SOURCES
    aboutdata.cpp akregatorconfig.kcfgc article.cpp
    articlefilter.cpp articleinterceptor.cpp dragobjects.cpp
    feed.cpp feediconmanager.cpp feediconmanager.skel
    feedlist.cpp feedstoragedummyimpl.cpp fetchqueue.cpp
    folder.cpp nodelist.cpp plugin.cpp pluginmanager.cpp
    simplenodeselector.cpp storage.cpp storagedummyimpl.cpp
    storagefactorydummyimpl.cpp storagefactoryregistry.cpp
    tag.cpp tagfolder.cpp tagnode.cpp tagnodelist.cpp
    tagset.cpp trayicon.cpp treenode.cpp treenodevisitor.cpp
    utils.cpp
  VERSION 0.0.0
  LINK rsslocal-static kio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### akregator (executable) ####################

tde_add_executable( akregator AUTOMOC
  SOURCES main.cpp mainwindow.cpp
  LINK akregatorprivate-shared kdepim-shared kparts-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### libakregatorpart (module) #################

tde_add_kpart( libakregatorpart AUTOMOC
  SOURCES
    actionmanager.cpp actionmanagerimpl.cpp
    addfeeddialog.cpp addfeedwidgetbase.ui
    akregator_part.cpp akregator_partiface.skel
    akregator_run.cpp akregator_view.cpp articlelistview.cpp
    articleviewer.cpp configdialog.cpp feeditem.cpp
    feedlistview.cpp folderitem.cpp frame.cpp kernel.cpp
    notificationmanager.cpp pageviewer.cpp progressmanager.cpp
    propertiesdialog.cpp propertieswidgetbase.ui searchbar.cpp
    settings_advancedbase.ui settings_advanced.cpp
    settings_appearance.ui settings_archive.ui
    settings_browser.ui settings_general.ui speechclient.cpp
    tabwidget.cpp tagaction.cpp tagfolderitem.cpp
    tagnodeitem.cpp tagpropertiesdialog.cpp
    tagpropertieswidgetbase.ui treenodeitem.cpp
    viewer.cpp ${TDE_INCLUDE_DIR}/kspeechsink.skel
    ${TDE_INCLUDE_DIR}/kspeech.stub listtabwidget.cpp
  LINK akregatorprivate-shared kdepim-shared khtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kaddressbook/interfaces/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    configurewidget.h contacteditorwidget.h core.h
    extensionwidget.h xxport.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kaddressbook )


##### other data ################################

install( FILES
    kaddressbook_contacteditorwidget.desktop
    kaddressbook_extension.desktop kaddressbook_xxport.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )


##### kabinterfaces (shared) ####################

tde_add_library( kabinterfaces SHARED AUTOMOC
  SOURCES
    configurewidget.cpp contacteditorwidget.cpp
    core.cpp extensionwidget.cpp xxport.cpp
  VERSION 1.0.0
  LINK kabc-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kandy/src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libkdepim )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kandy )
install( FILES kandy.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES uninstall.desktop RENAME kandy.desktop DESTINATION ${APPS_INSTALL_DIR}/Utilities )
install( FILES kandy.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES kandyui.rc kandymobileui.rc DESTINATION ${DATA_INSTALL_DIR}/kandy )


##### kandy (executable) ########################

tde_add_executable( kandy AUTOMOC
  SOURCES
    main.cpp kandy.cpp cmdpropertiesdialog_base.ui
    cmdpropertiesdialog.cpp kandyview.cpp kandyiface.skel modem.cpp
    atcommand.cpp commanditem.cpp mobilegui_base.ui mobilegui.cpp
    commandscheduler.cpp commandset.cpp kandyprefs.kcfgc
    kandyprefsdialog.cpp mobilemain.cpp
  LINK kdepim-shared ${LOCKDEV_LIBRARY}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kandy_client (executable) #################

tde_add_executable( kandy_client AUTOMOC
  SOURCES kandy_client.cpp
  LINK kdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kgantt/kgantt/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    KGantt.h KGanttItem.h KGanttRelation.h xQGanttBarView.h xQGanttBarViewPort.h
    xQGanttListView.h xQGanttListViewPort.h KGanttBarConfig.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kgantt )


##### kgantt (shared) ###########################

tde_add_library( kgantt SHARED AUTOMOC
  SOURCES
    KGantt.cpp xQGanttBarViewPort.cpp xQGanttListViewPort.cpp KGanttItem.cpp
    KGanttRelation.cpp xQGanttBarViewPort_Events.cpp xQGanttBarView.cpp
    xQGanttListView.cpp KGanttBarConfig.cpp
  VERSION 0.0.2
  LINK kdeui-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kontact/interfaces/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    core.h plugin.h summary.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kontact )


##### other data ################################

install( FILES
    kontactplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )


##### kpinterfaces (shared) #########################

tde_add_library( kpinterfaces SHARED AUTOMOC
  SOURCES
    core.cpp plugin.cpp summary.cpp uniqueapphandler.cpp
  VERSION 1.0.0
  LINK kdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== debian/changelog ===
kdepim-trinity (4:3.5.13.2-0ubuntu13.04.0+0) raring; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 05:10:50 +0200

kdepim-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Fix KMail crash on compose window destruct; reverting to gcc4.3 for now

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 03 Dec 2009 15:05:00 -0600

kdepim-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdepim-trinity (4:3.5.10-0ubuntu2~intrepid1) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 01 March 2009 20:46:00 -0600

kdepim-trinity (4:3.5.10-0ubuntu1~intrepid7) intrepid; urgency=low

  * Reactivated knode, korganizer, etc in the KDE menu

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Jan 2009 19:23:00 -0600

kdepim-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Fixed conflicts for akregator

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 Nov 2008 11:58:00 -0600

kdepim-trinity (4:3.5.10-0ubuntu1~intrepid5) intrepid; urgency=low

  * Repaired AMD64 build of kmail; fixed dependencies for kaddressbook

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 28 Nov 2008 14:51:00 -0600

kdepim-trinity (4:3.5.10-0ubuntu1~intrepid1) intrepid; urgency=low

  * SVN import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 27 Nov 2008 22:18:00 -0600

kdepim (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump version of build dep on kdelibs4-dev to 3.5.10
    - Drop kubuntu_13_fix_seive_truncate.diff - incorporated upstream

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:48:22 -0400

kdepim (4:3.5.9-0ubuntu3) hardy; urgency=low

  * Add kubuntu_13_fix_seive_truncate.diff from upstream, fixes 
    http://bugs.kde.org/155223 "sieve script is truncated"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2008 17:31:23 +0100

kdepim (4:3.5.9-0ubuntu2) hardy; urgency=low

  * Add patches kubuntu_11_groupwarewizard_categories.diff and
    kubuntu_12_ktnef_categories.diff, stop showing groupwarewizard and
    ktnef in three different menu categories.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Mar 2008 15:54:43 +0000

kdepim (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:07 +0000

kdepim (4:3.5.7enterprise20080127-0ubuntu1) hardy; urgency=low

  * New upstream SVN snapshot (SVN r763039)
    (closes LP: #185846) 

 -- Luka Renko <lure@ubuntu.com>  Sun, 27 Jan 2008 13:08:25 +0100

kdepim (4:3.5.7enterprise20080118-0ubuntu2) hardy; urgency=low

  * Rebuild against new Qt to fix kmail missing fstat64 symbol, still
    looking into what causes it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jan 2008 17:27:45 +0000

kdepim (4:3.5.7enterprise20080118-0ubuntu1) hardy; urgency=low

  * New upstream SVN snapshot (SVN r763039)

 -- Luka Renko <lure@ubuntu.com>  Sat, 19 Jan 2008 09:40:27 +0100

kdepim (4:3.5.7enterprise20071207-1ubuntu2) hardy; urgency=low

  * debian/control: Added Conflict/Replaces on ksync for kitchensync.
    "ksync" gets shipped with kitchensync now. (LP: #133944)

 -- dAniel hAhler <ubuntu@thequod.de>  Sat, 29 Dec 2007 05:23:59 +0100

kdepim (4:3.5.7enterprise20071207-1ubuntu1) hardy; urgency=low

  * New upstream SVN snapshot (SVN r745814)
  * Drop patches that were from upstream SVN
  * Includes new version of libgpgme++.so.0.3.0
  * Added Scalix support to appropriate packages

 -- Luka Renko <lure@ubuntu.com>  Sat, 08 Dec 2007 20:42:32 +0100

kdepim (4:3.5.7enterprise20070926-1ubuntu9) hardy; urgency=low

  * Re-added networkstatus-dev package:
    - Fixed control and control.in files
    - Added networkstatus-dev.install file
    - Fixed networkstatus.install file, adding missing networkstatus
      library
    - kmail depends on gpgsm, gnupg-agent, pinentry-qt | pinentry-x11
    - build against gpgsm

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 29 Nov 2007 19:33:03 +0100

kdepim (4:3.5.7enterprise20070926-1ubuntu8) hardy; urgency=low

  * kdepim-dev does not depend on kitchensync

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Nov 2007 12:55:39 +0000

kdepim (4:3.5.7enterprise20070926-1ubuntu7) hardy; urgency=low

  * Undo shlibs crack.  Installable packages are overrated, really -
    especially around CD times...

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 28 Nov 2007 19:22:00 +1100

kdepim (4:3.5.7enterprise20070926-1ubuntu6) hardy; urgency=low

  * Fix kdepim-doc.install (again)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2007 09:20:22 +0000

kdepim (4:3.5.7enterprise20070926-1ubuntu5) hardy; urgency=low

  * Fix kdepim-doc.install for enterprise version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Nov 2007 17:31:25 +0000

kdepim (4:3.5.7enterprise20070926-1ubuntu4) hardy; urgency=low

  * Lower kdepim-dev depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Nov 2007 14:29:09 +0000

kdepim (4:3.5.7enterprise20070926-1ubuntu3) hardy; urgency=low

  * Compile against libgpg-error 1.4-2ubuntu7 to fix build.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 23:20:53 +0000

kdepim (4:3.5.7enterprise20070926-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:35:42 +0000

kdepim (4:3.5.7enterprise20070926-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes in KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:42 +0000

kdepim (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
    * Resync patches:
      - Remove, applied upstream:
        01_branch_kmail_forwarding, 01_branch_korganizer_birthdays,


=== debian/control ===
Source: kdepim-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt,
 cdparanoia, gawk, gettext, kdelibs4-trinity-dev, bison, byacc, bzip2,
 flex, groff-base, libopensync0-dev, libogg-dev,
 libboost-dev (>= 1.33.1), libgpgme11-dev, liblockdev1-dev,
 libpisock-dev, libreadline5-dev | libreadline6-dev, libsasl2-dev, libssl-dev,
 libtool (>= 1.5), libxpm-dev, libxss-dev, sharutils, texinfo, dpkg-dev (>= 1.14.4),
 libgpg-error-dev (>= 1.4-2), gpgsm, libical-dev,
 libcaldav-dev (>= 0.6.5), libcarddav-dev (>= 0.6.2), libcurl4-gnutls-dev,
 cmake, libtool, libltdl-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, kdelibs4-trinity-doc
Build-Conflicts: libkleopatra0-trinity-dev
Standards-Version: 3.8.4

Package: kdepim-trinity
Section: kde
Architecture: all
Replaces: kdepim-kde3 (<< 4:3.5.13)
Breaks: kdepim-kde3 (<< 4:3.5.13)
Depends: akregator-trinity (>= ${Source-Version}), kaddressbook-trinity (>= ${Source-Version}), kalarm-trinity (>= ${Source-Version}), kandy-trinity (>= ${Source-Version}), karm-trinity (>= ${Source-Version}), kdepim-kfile-plugins-trinity (>= ${Source-Version}), kdepim-kio-plugins-trinity (>= ${Source-Version}), kdepim-kresources-trinity (>= ${Source-Version}), kdepim-wizards-trinity (>= ${Source-Version}), kitchensync-trinity (>= ${Source-Version}), kleopatra-trinity (>= ${Source-Version}), kmail-trinity (>= ${Source-Version}), kmailcvt-trinity (>= ${Source-Version}), knode-trinity (>= ${Source-Version}), knotes-trinity (>= ${Source-Version}), konsolekalendar-trinity (>= ${Source-Version}), kontact-trinity (>= ${Source-Version}), korganizer-trinity (>= ${Source-Version}), korn-trinity (>= ${Source-Version}), ktnef-trinity (>= ${Source-Version}), libindex0-trinity (>= ${Source-Version}), libkcal2b-trinity (>= ${Source-Version}), libkdepim1a-trinity (>= ${Source-Version}), libkgantt0-trinity (>= ${Source-Version}), libkleopatra1-trinity (>= ${Source-Version}), libkpimexchange1-trinity (>= ${Source-Version}), libkpimidentities1-trinity (>= ${Source-Version}), libksieve0-trinity (>= ${Source-Version}), libktnef1-trinity (>= ${Source-Version}), libmimelib1c2a-trinity (>= ${Source-Version})
Suggests: kdepim-trinity-doc-html
Description: Personal Information Management apps from the official Trinity release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of Trinity.
 .
  Homepage: http://pim.kde.org/

Package: kdepim-trinity-dbg
Priority: extra
Section: libdevel
Replaces: kdepim-kde3-dbg (<< 4:3.5.13)
Breaks: kdepim-kde3-dbg (<< 4:3.5.13)
Depends: kdelibs-trinity-dbg
Architecture: any
Description: debugging symbols for kdepim-trinity
 This package contains the debugging symbols associated with kdepim-trinity.
 They will automatically be used by gdb for debugging kdepim-related
 issues.

Package: kdepim-trinity-dev
Section: devel
Architecture: any
Replaces: kdepim-kde3-dev (<< 4:3.5.13)
Breaks: kdepim-kde3-dev (<< 4:3.5.13)
Depends: kaddressbook-trinity (= ${Source-Version}), kalarm-trinity (= ${Source-Version}), kdepim-kresources-trinity (= ${Source-Version}), kmail-trinity (= ${Source-Version}), knotes-trinity (= ${Source-Version}), kontact-trinity (= ${Source-Version}), korganizer-trinity (= ${Source-Version}), libkpimidentities1-trinity (= ${Source-Version}), libkcal2-trinity-dev (= ${Source-Version}), libkdepim1-trinity-dev (= ${Source-Version}), libkgantt0-trinity-dev (= ${Source-Version}), libkleopatra1-trinity-dev (= ${Source-Version}), libkpimexchange1-trinity-dev (= ${Source-Version}), libksieve0-trinity-dev (= ${Source-Version}), libktnef1-trinity-dev (= ${Source-Version}), libmimelib1-trinity-dev (= ${Source-Version})
Description: KDE Personal Information Management [development]
 This package contains development files needed to compile kdepim applications.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: kdepim-trinity-doc
Section: doc
Architecture: all
Replaces: kdepim-kde3-doc (<< 4:3.5.13)
Breaks: kdepim-kde3-doc (<< 4:3.5.13)
Suggests: konqueror-trinity | www-browser, doc-base
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: kdepim-trinity-doc-html
Section: doc
Architecture: all
Replaces: kdepim-kde3-doc-html (<< 4:3.5.13)
Breaks: kdepim-kde3-doc-html (<< 4:3.5.13)
Suggests: konqueror-trinity | www-browser, kdepim-trinity
Description: KDE PIM documentation in HTML format
 By default the Personal Information Management applications provided with
 KDE only provide their documentation in KDE docbook format, which can only
 be read by Konqueror or KHelpCenter. This package provides all of the
 KDE PIM documentation converted to HTML format so it can be read with any
 web browser.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/

Package: akregator-trinity
Section: web
Architecture: any
Replaces: akregator-kde3 (<< 4:3.5.13)
Breaks: akregator-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: RSS feed aggregator for KDE
 aKregator is a fast, lightweight, and intuitive feed reader program
 for KDE.  It allows you to quickly browse through hundreds of
 thousands of internet feeds in a quick, efficient, and familiar way.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.
 .
  Homepage: http://akregator.kde.org/

Package: kaddressbook-trinity
Section: utils
Architecture: any
Replaces: kaddressbook-kde3 (<< 4:3.5.13)
Breaks: kaddressbook-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Conflicts: kontact-trinity (<< 4:3.5.7-1ubuntu5)
Suggests: kdepim-kresources-trinity, kdebase-kio-plugins-trinity
Description: KDE NG addressbook application
 KAddressBook is the main address book application for KDE; it enables you
 to manage your contacts efficiently and comfortably. It can load and save
 your contacts to many different locations, including the local file system,
 LDAP servers, and SQL databases.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kalarm-trinity
Section: kde
Architecture: any
Replaces: kalarm-kde3 (<< 4:3.5.13)
Breaks: kalarm-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: kmix-trinity, kttsd-trinity
Description: Trinity alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file, It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 As an alternative to using the graphical interface, alarms can be scheduled
 from the command line or via DCOP calls from other programs. KAlarm is
 KDE-based, but will also run on other desktops.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kandy-trinity
Section: utils
Architecture: any
Replaces: kandy-kde3 (<< 4:3.5.13)
Breaks: kandy-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: Trinity mobile phone utility
 At the moment Kandy is more or less a terminal program with some special
 features to store commands and their parameters, but is also has a simple GUI
 to access the phone book of a mobile phone and it is able to save this phone
 book to the KDE address book.
 .
 Kandy is aimed at mobile phones with integrated (GSM) modems.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: karm-trinity
Section: utils
Architecture: any
Replaces: karm-kde3 (<< 4:3.5.13)
Breaks: karm-kde3 (<< 4:3.5.13)
Conflicts: kontact-trinity (<< 4:3.5.7-1ubuntu5)
Depends: ${shlibs:Depends}
Description: Trinity time tracker tool
 KArm is a time tracker for busy people who need to keep track of the amount of
 time they spend on various tasks.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kdepim-kfile-plugins-trinity
Section: kde
Architecture: any
Replaces: kdepim-kfile-plugins-kde3 (<< 4:3.5.13)
Breaks: kdepim-kfile-plugins-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: KDE File dialog plugins for palm and vcf files
 File dialog plugins for palm and vcf files.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kdepim-kio-plugins-trinity
Section: kde
Architecture: any
Replaces: kdepim-kio-plugins-kde3 (<< 4:3.5.13)
Breaks: kdepim-kio-plugins-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: Trinity pim I/O Slaves
 This package includes the pim kioslaves. This includes imap4, sieve,
 and mbox.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kdepim-kresources-trinity
Section: kde
Architecture: any
Replaces: kdepim-kresources-kde3 (<< 4:3.5.13)
Breaks: kdepim-kresources-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}, korganizer-trinity
Suggests: knotes-trinity
Description: Trinity pim resource plugins
 This package includes several plugins needed to interface with groupware
 servers. It also includes plugins for features such as blogging and
 tracking feature plans.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kdepim-wizards-trinity
Section: kde
Architecture: any
Replaces: kdepim-wizards-kde3 (<< 4:3.5.13)
Breaks: kdepim-wizards-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: egroupware
Description: Trinity server configuration wizards
 This package contains KDE-based wizards for configuring eGroupware,
 Kolab, and SUSE Linux Openexchange servers.
 .
 This package is part of Trinity, and a component of the KDE PIM module.
 See the 'kde-trinity' and 'kdepim-trinity' packages for more information.

Package: kitchensync-trinity
Section: kde
Architecture: any
Replaces: kitchensync-kde3 (<< 4:3.5.13)
Breaks: kitchensync-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Suggests: konqueror-trinity
Conflicts: kdebluetooth-irmcsync-trinity (<< 0.99+1.0beta2-4.1), ksync-trinity
Description: Synchronization framework

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib:debian/tmp/opt/trinity/lib/trinity
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib:debian/tmp/opt/trinity/lib/trinity
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_KDE_APIDOX := yes

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DBUILD_ALL="ON" -DBUILD_KITCHENSYNC="ON" \
-DWITH_ARTS="ON" -DWITH_SASL="ON" -DWITH_NEWDISTRLISTS="ON" -DWITH_GNOKII="OFF" -DWITH_EXCHANGE="ON" -DWITH_EGROUPWARE="ON" -DWITH_KOLAB="ON" -DWITH_SLOX="ON" -DWITH_GROUPWISE="ON" -DWITH_FEATUREPLAN="ON" -DWITH_GROUPDAV="ON" -DWITH_BIRTHDAYS="ON" -DWITH_NEWEXCHANGE="ON" -DWITH_SCALIX="ON" -DWITH_CALDAV="ON" -DWITH_CARDDAV="ON" -DWITH_INDEXLIB="ON" -DWITH_XSCREENSAVER="ON" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

DEB_INSTALL_DOCS_ALL :=

DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

shlibs_ver=4:3.5.7
DEB_DH_MAKESHLIBS_ARGS_libindex0-trinity := -V'libindex0-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkcal2b-trinity := -V'libkcal2b-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkdenetwork2-trinity := -V'libkdenetwork2-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkdepim1a-trinity := -V'libkdepim1a-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkgantt0-trinity := -V'libkgantt0-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkleopatra1-trinity := -V'libkleopatra1-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkmime2-trinity := -V'libkmime2-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkpimexchange1-trinity := -V'libkpimexchange1-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkpimidentities1-trinity := -V'libkpimidentities1-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libksieve0-trinity := -V'libksieve0-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libktnef1-trinity := -V'libktnef1-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libmimelib1c2a-trinity := -V'libmimelib1c2a-trinity (>= $(shlibs_ver))'

# kontact-trinity starts fine without korganizer-trinity or kpilot-trinity dependencies
# specialdates-trinity is only in recommends to get the kaddressbook-trinity dependency there
kontact-trinity_recommends_plugins := korganizer-trinity specialdates
kontact-trinity_suggests_plugins := journal kpilot-trinity todo

DEB_DH_SHLIBDEPS_ARGS_kontact-trinity := \
	$(foreach p,$(kontact-trinity_recommends_plugins) $(kontact-trinity_suggests_plugins),-Xopt/trinity/lib/trinity/libkontact_$(p)plugin.so) \
	-- -dRecommends \
	$(foreach p,$(kontact-trinity_recommends_plugins),debian/kontact/opt/trinity/lib/trinity/libkontact_$(p)plugin.so) \
	-dSuggests \
	$(foreach p,$(kontact-trinity_suggests_plugins),debian/kontact/opt/trinity/lib/trinity/libkontact_$(p)plugin.so) \
	-dDepends	# Since -u args go first in dpkg-shlibdeps call

## Move kaddressbook-trinity dependency (from libkabc_xmlrpc.so) to Recommends
#DEB_DH_SHLIBDEPS_ARGS_kdepim-kresources-trinity := \
#	-Xopt/lib/trinity/libkabc_xmlrpc.so.1 \
#	-- -dRecommends \
#	debian/kdepim-kresources/opt/trinity/lib/libkabc_xmlrpc.so.1.* \
#	-dDepends
#
## Move kaddressbook dependency of libkcal2b-trinity to Recommends
#DEB_DH_SHLIBDEPS_ARGS_libkcal2b-trinity := \
#	-Xopt/trinity/lib/trinity/kcal_kabc.so \
#	-- -dRecommends \
#	debian/libkcal2b/opt/trinity/lib/trinity/kcal_kabc.so \
#	-dDepends

test-shlibdeps:
	@echo $(DEB_DH_SHLIBDEPS_ARGS_kontact-trinity)

KDE_UPSTREAM_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\.dfsg.*//')
KDE_TARBALL := ../$(DEB_SOURCE_PACKAGE)-$(KDE_UPSTREAM_VERSION).tar.bz2
KDE_SOURCEDIR := dfsg-tmp/$(DEB_SOURCE_PACKAGE)-$(KDE_UPSTREAM_VERSION)
NEWDEB_SOURCEDIR := $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
